Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ParticleSystem::ParticleNode Struct Reference

Particle node. More...

`#include <ParticleSystem.h>`

Inheritance diagram for ParticleSystem::ParticleNode:

## Public Member Functions
| ParticleNode ()
virtual void | resetState (void)

## Public Attributes
ParticleNode * | mPreviousNode
| Particle Node Linkages. More...
ParticleNode * | mNextNode
bool | mSuppressMovement
| Suppress Movement. More...
F32 | mParticleLifetime
| Particle Components. More...
F32 | mParticleAge
Vector2 | mPosition
Vector2 | mVelocity
F32 | mOrientationAngle
Vector2 | mRenderOOBB [4]
b2Transform | mTransform
ImageFrameProviderCore | mFrameProvider
Vector2 | mRenderSize
| Render Properties. More...
F32 | mRenderSpeed
F32 | mRenderSpin
F32 | mRenderFixedForce
F32 | mRenderRandomMotion
Vector2 | mSize
| Base Properties. More...
F32 | mSpeed
F32 | mSpin
F32 | mFixedForce
F32 | mRandomMotion
ColorF | mColor
Vector2 | mPreTickPosition
| Interpolated Tick Position. More...
Vector2 | mPostTickPosition
Vector2 | mRenderTickPosition

## Detailed Description

Particle node.

## Constructor & Destructor Documentation

ParticleNode | ( |  | ) |
| inline

## Member Function Documentation

virtual void resetState | ( | void |  | ) |
| inline virtual

Implements IFactoryObjectReset.

## Member Data Documentation

ColorF mColor

F32 mFixedForce

ImageFrameProviderCore mFrameProvider

ParticleNode* mNextNode

F32 mOrientationAngle

F32 mParticleAge

F32 mParticleLifetime

Particle Components.

Vector2 mPosition

Vector2 mPostTickPosition

Vector2 mPreTickPosition

Interpolated Tick Position.

ParticleNode* mPreviousNode

Particle Node Linkages.

F32 mRandomMotion

F32 mRenderFixedForce

Vector2 mRenderOOBB[4]

F32 mRenderRandomMotion

Vector2 mRenderSize

Render Properties.

F32 mRenderSpeed

F32 mRenderSpin

Vector2 mRenderTickPosition

Vector2 mSize

Base Properties.

F32 mSpeed

F32 mSpin

bool mSuppressMovement

Suppress Movement.

b2Transform mTransform

Vector2 mVelocity

The documentation for this struct was generated from the following file:

- 2d/core/ParticleSystem.h